/*Style reset*/ /*layout til smartphone øverst*/
* {
  padding: 0;
  margin: 0;
}
body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #4aa35a;
}
.container {
  display: flex;
  flex-wrap: wrap;
}
/* Forside */
.logo,
.kampagne,
.navigation,
.undermenu,
article,
aside,
footer {
  margin: 0;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

/* Logo div */
.logo {
  background-color: #4aa35a;
  width: 30%;
  height: auto;
}
/* Logo fil */
.img-logo {
  width: 100%;
  height: auto;
}

/* Navigation */
.navigation {
  background-color: #4aa35a;
  width: 70%;
  height: 150px;
  overflow: hidden;
  align-content: center;
}
/* Styling af links */
.navigation a {
  float: left;
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  position: relative;
}
/* Farve når man clicker? */
.topnav a:hover {
  background-color: #ed008c;
  color: #f2f2f2;
}

/* Fjerner links */
.topnav a {
  display: none;
}
/* Viser ikon, selvom link er fjernet*/
.topnav a.icon {
  float: right;
  display: block;
}
.topnav.responsive {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%; /* fuld højde */
  width: 250px; /* hvor bred menuen skal være */
  background-color: #a0a0a0;
  z-index: 999;
  display: flex;
  flex-direction: column;
  padding-top: 60px;
}

/* Linksene vises først når menuen har klassen .responsive */
.topnav.responsive a {
  display: block;
  text-align: left;
  padding: 12px 20px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

/* Sørger for at burger-ikonet stadig er synligt */
.topnav.responsive a.icon {
  position: absolute;
  top: 10px;
  right: 10px;
  border-bottom: none;
}
.implementeret {
  background-color: whitesmoke;
  display: none;
  flex-wrap: wrap;
  justify-content: center;
  padding: #f0f0f0 solid;
}

.overskrift-gennemfoert {
  margin: 5%;
  color: #ed008c;
}
/* Artikel */
article {
  background-color: whitesmoke;
  height: auto;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}
.pol-artc {
  justify-content: space-between;
  margin: 1%;
}
/* Forside foto: img=fil foto=div */
.img-forside {
  width: 100%;
  height: auto;
}
.foto-forside {
  width: 100%;
  align-self: flex-start;
}
/* Overskrifter */
h1 {
  margin: 1%;
  color: #ed008c;
}

/* Underoverskrifter */
h3 {
  margin: 1%;
  color: #4aa35a;
}
h2 {
  margin: 1%;
  color: #4aa35a;
}
/* Brødtekst */
p {
  margin: 2%;
  font-size: 15px;
  margin-bottom: 30px;
}

.kampagne {
  background-color: #dddcdc;
  display: none;
  flex-wrap: wrap;
  height: 200px;
  justify-content: space-between;
}
.kampagne-overskrift {
  margin: 1%;
  color: #4aa35a;
}
/* Footer styling */
footer {
  height: auto;
  width: auto;
  align-self: flex-end;
}
.kontakt {
  width: 100%;
}
.img-kontakt {
  width: 100%;
}

/* Mærkesager/Politik */
/* FOTO pol-foto=div foto-pol=foto */
.pol-foto {
  width: 100%;
}
.foto-pol {
  width: 100%;
}
/* Om mig */
/* Foto om mig: om-foto=div foto-om=div */
.om-foto {
  width: 100%;
  padding: 0;
}
.foto-om {
  width: 100%;
}
.om-artc {
  background-color: whitesmoke;
  height: auto;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin: 1%;
  justify-content: space-between;
}
.foto-kont {
  width: 100%;
}
.kont-foto {
  width: 55%;
}
.kont-container {
  display: flex;
  flex-wrap: wrap;
}
.kont-artc {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: flex-start;
  background-color: #4aa35a;
}
.text-kont {
  width: 40%;
}
.over-kont {
  color: #ed008c;
}
/*Layout til tablets*/
@media screen and (min-width: 600px) {
  .container {
    display: flex;
    flex-wrap: wrap;
  }
  .logo {
    width: 20%;
  }
  .hovedmenu {
    width: 80%;
  }
  .implementeret {
    width: 100%;
    display: flex;
  }
  article {
    width: 1000%;
  }
  .kampagne {
    display: none;
  }
  footer {
    width: 100%;
    display: none;
  }
}

/* Layout til desktop*/
@media screen and (min-width: 900px) {
  .kampagne {
    width: 100%;
    display: flex;
  }
  .sidsteafsnit {
    display: none;
  }
  .implementeret {
    width: 35%;
  }
  article {
    width: 65%;
  }
  .topnav {
    display: flex;
    justify-content: flex-end; /* sender links til højre side */
    align-items: center;
  }

  .topnav a {
    display: block;
    float: none; /* fjern float */
    padding: 14px 20px;
  }

  .topnav a.icon {
    display: none; /* skjul burger på desktop */
  }
  .kont-foto {
    max-width: 30%;
  }
}
